clear all
set more off

local estm		b_lr b_oaxaca b_dr b_kern_u b_ipw2 b_psm1 b_psmbc1
local results	2_estimates

*************************



use 4_effects_true, clear
sum effect
local effect = r(mean)


use `results', clear
keep b_*

qui postfile true_biases str10(estimator) mbias ambias mse rmse variance using 5_biases_true, replace
foreach var of local estm {
	gen bias_`var' = `var' - `effect'
	egen mbias_`var' = mean(bias_`var')
	gen ambias_`var' = abs(mbias_`var')
	
	gen biassq_`var' = (`var' - `effect')^2
	egen mse_`var' = mean(biassq_`var')
	gen rmse_`var' = sqrt(mse_`var')
	
	qui sum mbias_`var'
	local mbias = r(mean)
	qui sum ambias_`var'
	local ambias = r(mean)
	qui sum mse_`var'
	local mse = r(mean)
	qui sum rmse_`var'
	local rmse = r(mean)
	qui sum `var'
	local variance = r(Var)
	
	post true_biases ("`var'") (`mbias') (`ambias') (`mse') (`rmse') (`variance')
}
postclose true_biases

use 5_biases_true, clear
sort ambias
gen rank_ambias=_n
sort mse
gen rank_mse=_n
sort variance
gen rank_var=_n
save 5_biases_true, replace

clear all
